﻿$gamePath = "D:\Games\Aurora193\"
$dateFormat = "MMMM d, yyyy"
$decimalFormat = "."
$thousandFormat = ","
$delayBeforeExitInSeconds = 5

Add-Type @"
    using System;
    using System.Runtime.InteropServices;
    public class Windows {
    [DllImport("user32.dll")]
    public static extern IntPtr GetForegroundWindow();
    [DllImport("user32.dll")]
    public static extern int GetWindowText(IntPtr hWnd, System.Text.StringBuilder text, int count);
}
"@

$originalDateFormat = $null
$originalDecimalFormat = $null
$originalThousandFormat = $null

try
{
    $originalDateFormat = Get-ItemPropertyValue -Path "HKCU:\Control Panel\International" -Name sLongDate
    $originalDecimalFormat = Get-ItemPropertyValue -Path "HKCU:\Control Panel\International" -Name sDecimal
    $originalThousandFormat = Get-ItemPropertyValue -Path "HKCU:\Control Panel\International" -Name sThousand

    Set-ItemProperty -Path "HKCU:\Control Panel\International" -Name sLongDate -Value $dateFormat
    Write-Host ("Date format set to " + $dateFormat)
    Set-ItemProperty -Path "HKCU:\Control Panel\International" -Name sDecimal -Value $decimalFormat
    Write-Host ("Decimal format set to " + $decimalFormat)
    Set-ItemProperty -Path "HKCU:\Control Panel\International" -Name sThousand -Value $thousandFormat
    Write-Host ("Thousand format set to " + $thousandFormat)

    $game = Start-Process -PassThru -WorkingDirectory $gamePath -FilePath ($gamePath + "Aurora.exe")

    $gameWindow = $game.MainWindowHandle
    do
    {
        Start-Sleep -Milliseconds 100

        $game.Refresh()
        if ($game.HasExited -eq $true)
        {
            break
        }
        if ($game.MainWindowHandle -ne 0)
        {
            break
        }
    } while ($true)

    Start-Sleep -Seconds $delayBeforeExitInSeconds
}
finally
{
    if ($originalDateFormat -ne $null)
    {
        Set-ItemProperty -Path "HKCU:\Control Panel\International" -Name sLongDate -Value $originalDateFormat
        Write-Host ("Date format set to " + $originalDateFormat)
    }
    if ($originalDecimalFormat -ne $null)
    {
        Set-ItemProperty -Path "HKCU:\Control Panel\International" -Name sDecimal -Value $originalDecimalFormat
        Write-Host ("Decimal format set to " + $originalDecimalFormat)
    }
    if ($originalThousandFormat -ne $null)
    {
        Set-ItemProperty -Path "HKCU:\Control Panel\International" -Name sThousand -Value $originalThousandFormat
        Write-Host ("Thousand format set to " + $originalThousandFormat)
    }
}